Loading...
Searching...
No Matches
Ogre::GlyphInfo Struct Reference
Optional Components » Overlay

Information about the position and size of a glyph in a texture. More...

`#include <OgreFont.h>`

## Public Types

typedef uint32 | CodePoint
typedef FloatRect | UVRect

## Public Attributes

float | advance
float | aspectRatio
float | bearing
CodePoint | codePoint
UVRect | uvRect

## Detailed Description

Information about the position and size of a glyph in a texture.

## Member Typedef Documentation

## CodePoint

typedef uint32 Ogre::GlyphInfo::CodePoint

## UVRect

typedef FloatRect Ogre::GlyphInfo::UVRect

## Member Data Documentation

## codePoint

CodePoint Ogre::GlyphInfo::codePoint

Referenced by Ogre::Font::setGlyphInfo().

## uvRect

UVRect Ogre::GlyphInfo::uvRect

## aspectRatio

float Ogre::GlyphInfo::aspectRatio

## bearing

float Ogre::GlyphInfo::bearing

## advance

float Ogre::GlyphInfo::advance

The documentation for this struct was generated from the following file:

- OgreFont.h